require("../css/index.less");
const $ = require('jquery');
require('jquery-templates');
const md5 = require('js-md5');
const {api,post,pageMap} = require('./utils.js');

$(function(){
  getMenu();
  //菜单展开收起
  sureChangeWord()
});

function initMenu(data){
  //菜单数据填充
  $("#menuTmpl").tmpl(data).appendTo(".menu");
  //菜单收起展开
  $(".list-1").on("click",function(){
    $(this).find("ul").slideToggle();
  });
  $(".list-1 li").on("click",function(e){
    e.stopPropagation();
  });
  //右侧页面切换
  $(".page").on("click",function(){
    const code = $(this).attr("code");
    const url = './'+pageMap[code];
    $("#contentIframe").attr("src",url);
  });
}

function getMenu(){
  post(api.getMenu).then(function(res){
    if(res.data.code==='0'){
      const data = res.data.data;
      initMenu(data.menuWrappers);
    }
  });
};

function sureChangeWord(){
  $('.container').on('click','.sureChange',function(){
    let oldword = $(".oldword").val()
    let newword = $(".newword").val()
    let sureword = $(".sureword").val()
    if(newword != sureword){
      $(".modalAction .waring").css('display','block').html('两次密码不一致')
      return
    }
    changeWord(oldword,newword)
  })
}
function changeWord(oldword,newword){
  post(api.midifyPassword,{
    "modifyPassword": md5(newword),
    "password": md5(oldword)
  }).then(function(res){
    const data = res.data;
    if(data.code==='0'){
      console.log(data)
      window.location.href = './login.html'
    }else{
      $(".modalAction .waring").css('display','block').html(data.msg)
      return
    }
  });
}
//点击设置
$(".setting").click(function(){
  $(".userAction").slideToggle()
})
//点击修改密码
$(".container").on('click','#changeWord',function(){
  const status = $(".modalAction").css("display")
  $(".modalAction").css('display',status=='block'?'none':'block')
})
